<?php
/**                                                                
 * @package        Joomla16.Tutorials
 * @subpackage    Components
 * @copyright    Copyright (C) 2005 - 2010 Open Source Matters, Inc. All rights reserved.
 * @author        OnClick Solutions ltd
 * @link        http://www.helponclick.com
 * @license        http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

$app = JFactory::getApplication();

// Access check.
if (!JFactory::getUser()->authorise('core.manage', 'com_helponclick')) 
{
    return $app->enqueueMessage(JText::_('JERROR_ALERTNOAUTHOR'), 'error');
}

// Set some global property
$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root().'administrator/components/com_helponclick/views/nyroModal.css');
$document->addScript('https://ajax.googleapis.com/ajax/libs/jquery/1.5.1/jquery.js');
$document->addScript(JURI::root().'administrator/components/com_helponclick/views/jquery.nyroModal.custom.js');
$document->addScriptDeclaration('	$(function() {
									  $(\'.nyroModal\').nyroModal();
									});
								');
$document->addStyleDeclaration('.icon-48-helponclick {background-image: url(../media/com_helponclick/images/tux-48x48.png);}');

// import joomla controller library
jimport('joomla.application.component.controller');

// Get an instance of the controller prefixed by HelpOnclick
$controller = JControllerLegacy::getInstance('HelpOnclick');

// Perform the Request task
$controller->execute(JFactory::getApplication()->input->get('task'));

// Redirect if set by the controller
$controller->redirect();
