<?php
/**                                                                
 * @package        Joomla16.Tutorials
 * @subpackage    Components
 * @copyright    Copyright (C) 2005 - 2010 Open Source Matters, Inc. All rights reserved.
 * @author        OnClick Solutions ltd
 * @link        http://www.helponclick.com
 * @license        http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */
 
// No direct access

defined('_JEXEC') or die('Restricted access');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');

$helponclick_setting['email'] = '';
$helponclick_setting['password'] = '';
$helponclick_setting['script'] = '';

$db =& JFactory::getDBO();
$query = "select * from #__helponclick";
$db->setQuery($query);
$rows = $db->loadRowList();
foreach ($rows as $row) {
    $helponclick_setting[$row[1]] = $row[2];
}

?>
<style type="text/css">
#helponclick {padding: 20px;}
#helponclick fieldset {margin-bottom: 20px}
#helponclick legend {color: #146295;}
#helponclick textarea {width: auto}
</style>
    <div id="helponclick">
        <fieldset class="panelform">
            <legend><?php echo JText::_('Account'); ?></legend>
            <br />
            <p><a style="text-decoration:none;"></a><input style="margin:0;" name="account" value="1" type="radio" checked />&nbsp;<?php echo JText::_('I already have an account'); ?></p>
            <p><a style="text-decoration:none;color:#000000" href="http://www.helponclick.com/signup.html?background=ffffff&utm_campaign=joomla&utm_medium=web&utm_source=plugin" class="nyroModal" target="_blank"><input  style="margin:0;" name="account" value="0" type="radio" />&nbsp;<?php echo JText::_('I do not have an account - quickly create account for free'); ?></a></p>
    
        </fieldset>
<?php if (!empty($helponclick_setting['email']) && !empty($helponclick_setting['password'])) { ?>
        <fieldset class="panelform">
            <legend><?php echo JText::_('Connect'); ?></legend><br />
            <form method="post" action="http://app.helponclick.com/login" target="_blank" class="form-horizontal">

                <div class="control-group">
                    <label class="control-label" for="helponclick_account_email"><?php echo JText::_('Email'); ?></label>
                    <div class="controls">
                        <input placeholder="Email" id="helponclick_account_email" name="email_dummy" size="40" type="text" value="<?php echo $helponclick_setting['email']; ?>" disabled />
                    </div>
                </div>
                <div class="control-group">
                    <label class="control-label" for="helponclick_account_email"><?php echo JText::_('Password'); ?></label>
                    <div class="controls">
                        <input placeholder="Password" id="helponclick_account_password" name="password_dummy" size="40" type="password" value="<?php echo $helponclick_setting['password']; ?>" disabled />
                    </div>
                </div>
                <div class="control-group">
                    <label class="control-label">&nbsp;</label>
                    <div class="controls">
                        <input type="button" name="reset" onclick="location.href='<?php echo JRoute::_('index.php?option=com_helponclick&task=reset'); ?>'" value="<?php echo JText::_('Reset'); ?>" class="btn" />
                        <input type="submit" name="submit" value="<?php echo JRoute::_('Open Operator Panel'); ?>" class="btn btn-primary" />
                    </div>
                </div>

                <div>
                    <input type='hidden' name='logout_to' value='http://www.helponclick.com/login.php' />
                    <input type='hidden' name='email' value='<?php echo $helponclick_setting['email'];?>' />
                    <input type='hidden' name='password' value='<?php echo $helponclick_setting['password'];?>' />
                </div>
            </form>
        </fieldset>
        
<?php } else { ?>        
        <fieldset class="panelform">
            <legend><?php echo JText::_('Connect'); ?></legend><br />
            <form method="post" action="<?php echo JRoute::_('index.php?option=com_helponclick&task=connect'); ?>" class="form-horizontal">
                <div class="control-group">
                    <label class="control-label" for="helponclick_account_email"><?php echo JText::_('Email'); ?></label>
                    <div class="controls">
                        <input placeholder="Email" id="helponclick_account_email" name="helponclick_account_email" size="40" type="text" value="<?php echo $helponclick_setting['email']; ?>"/>
                    </div>
                </div>
                <div class="control-group">
                    <label class="control-label" for="helponclick_account_email"><?php echo JText::_('Password'); ?></label>
                    <div class="controls">
                        <input placeholder="Password" id="helponclick_account_password" name="helponclick_account_password" size="40" type="password" value="<?php echo $helponclick_setting['password']; ?>" />
                    </div>
                </div>
                <div class="control-group">
                    <label class="control-label">&nbsp;</label>
                    <div class="controls">
                        <input type="submit" name="submit" value="<?php echo JRoute::_('Connect'); ?>" class="btn btn-primary" />
                    </div>
                </div>

            </form>
        </fieldset>        
<?php } ?>    
        <fieldset class="panelform">
            <legend><?php echo JText::_('Code'); ?></legend>
            <form method="post" action="<?php echo JRoute::_('index.php?option=com_helponclick&task=update_code'); ?>">
                    <br /><p>Advanced users - log into your account, go to Admin->Code tab to customize the implementation, <br />then copy and paste the HTML code below and click on "Update Code".</p>
                    <p><textarea id="helponclick_code_script" name="helponclick_code_script" cols="80" rows="3"><?php echo trim($helponclick_setting['script']); ?></textarea>
                    </p>
                    <p><input type="submit" name="submit" value="<?php echo JText::_('Update Code'); ?>" class="btn btn-primary" /></p>
            </form>
        </fieldset>    
    
        
    </div>



